# == Class: drupal
#
# Installation d'un environnement LAMP sur Debian 7 avec Drupal 8
#
# === Parameters
#
# Les paramètres $1 $2 de /tmp/mysql sont respectivement le mot de passe root mysql et le mot de passe du compte drupal mysql données en paramètres dans les userdatas du script de déploiement drupal.php disponible sur le GitHub Ikoula
#
#
# === Authors
#
# Author JulienQ Ikoula contribATikoula.com
#
# === Copyright
#
# Copyright 2016 JulienQ Ikoula.
#

class system::aptgetupdate {
	exec { 'apt-get update':
		command => "apt-get update",
		path => "/usr/bin",
		logoutput => true
	} 
}

class lamp::install {
	package { 'apache2':
		ensure => installed,
	}
	
	package { 'mysql-server':
		ensure => installed,
	}
	
	package { 'libapache2-mod-php5':
		ensure => installed,
	}
	
	package { 'php5-mysql':
		ensure => installed,
	}
	
	package { 'php5-gd':
		ensure => installed,
	}
	
	file { "/etc/apache2/sites-available/drupal.conf" :
        source => "/etc/puppet/modules/drupal/files/etc.apache2.sites-available.drupal",
		ensure => file,
        owner   => "root",
        group   => "root",
        require => Package['apache2'],
        mode    => 0644
    }
}

class drupal {
        include system::aptgetupdate, lamp::install
}
